# QCA::TLSSession Class Reference
[QCA user API]

Session token, used for TLS resuming. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::TLSSession:

Collaboration diagram for QCA::TLSSession:

[legend]

List of all members.

## Public Member Functions

bool | isNull () const
TLSSession & | operator= (const TLSSession &from)
| TLSSession (const TLSSession &from)

## Detailed Description

Session token, used for TLS resuming.

## Constructor & Destructor Documentation

QCA::TLSSession::TLSSession | ( | const TLSSession & | from | ) |

Copy constructor.

Parameters:

  | from | the session token to copy from

## Member Function Documentation

bool QCA::TLSSession::isNull | ( |  | ) | const

Test if the session token is valid.

TLSSession& QCA::TLSSession::operator= | ( | const TLSSession & | from | ) |

Assignment operator.

Parameters:

  | from | the session token to assign from

The documentation for this class was generated from the following file:

- qca_securelayer.h